# Created by pyp2rpm-3.3.3
%global pypi_name sqlcipher3

Name:           python-%{pypi_name}
Version:        0.5.4
Release:        %mkrel 2
Summary:        DB-API 2.0 interface for SQLCipher 3.x
Group:          Development/Python
License:        zlib/libpng
URL:            https://github.com/coleifer/sqlcipher3
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(sqlcipher)

%description
This library takes pysqlite3 and makes some small modifications so it is
suitable for use with sqlcipher (sqlite with encryption).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library takes pysqlite3 and makes some small modifications so it is
suitable for use with sqlcipher (sqlite with encryption).

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sqlcipher3

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.5.4-2.mga10
+ Revision: 2239625
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 0.5.4-1.mga10
+ Revision: 2156718
- new version: 0.5.4
+ wally <wally>
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 0.5.2-1.mga10
+ Revision: 2018140
- new 0.5.2
- rebuild for python 3.12

* Sat Mar 19 2022 umeabot <umeabot> 0.4.5-2.mga9
+ Revision: 1799246
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.4.5-1.mga9
+ Revision: 1782370
- version 0.4.5
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 0.4.0-3.mga9
+ Revision: 1717046
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1538952
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 0.4.0-1.mga8
+ Revision: 1463398
- imported package python-sqlcipher3

